Bug 990569 - Review Request: rubygem-rails-observers - ActiveModel::Observer, ActiveRecord::Observer and ActionController::Caching::Sweeper extracted from Rails
Review Request: rubygem-rails-observers - ActiveModel::Observer, ActiveRecord...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 09:21 EDT by Josef Stribny
Modified: 2016-01-04 00:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-08 04:41:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
msuchy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Josef Stribny 2013-07-31 09:21:49 EDT
Spec URL: http://data-strzibny.rhcloud.com/rubygem-rails-observers.spec
SRPM URL: http://kojipkgs.fedoraproject.org//work/tasks/3670/5683670/rubygem-rails-observers-0.1.2-1.fc20.src.rpm
Description: Rails observer (removed from core in Rails 4.0)
Fedora Account System Username: jstribny
MOCK: http://koji.fedoraproject.org/koji/taskinfo?taskID=5683670

Bootstrapped as it's Rails 4.0 dependency.
Comment 1 Miroslav Suchý 2013-08-01 04:49:09 EDT
Taking
Comment 2 Miroslav Suchý 2013-08-01 05:18:56 EDT
text in %description should end with dot.

>sed -i '1d' Rakefile
I would prefer:
sed -i '1|#!/usr/bin/env|d' Rakefile
which is just safer in case content of Rakefile will change in future versions.

I prefer that README is in main package and not in -doc subpackage. As it give you very brief guidance how to use that package and does not force user to install -doc. But that is just my personal preference. Feel free to ignore me in this point.

Just from quick glance. More deeply review will follow soon.
Comment 3 Miroslav Suchý 2013-08-01 06:43:44 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass. (not run because of bootstrap)
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[?]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[!]: Rpmlint errors:
rubygem-rails-observers.src: E: summary-too-long C ActiveModel::Observer, ActiveRecord::Observer and ActionController::Caching::Sweeper extracted from Rails
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.



Beside comments in #2 please fix that summary and then I will approve it.
Comment 4 Josef Stribny 2013-08-01 09:54:44 EDT
Thank you Miroslav for the suggestions, I had to also escape the exclamation mark in the sed command.

Fixed and updated:

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5688684
SRPM: http://kojipkgs.fedoraproject.org//work/tasks/8685/5688685/rubygem-rails-observers-0.1.2-2.fc20.src.rpm
Comment 5 Miroslav Suchý 2013-08-01 10:23:11 EDT
You sed now check whole Rakefile. I would recommend to change it to (and now I even tried it :) :
  sed -i '1{/#\!\/usr\/bin\/env rake/d}' Rakefile
which delete only first line and only if it match the regexp.

But this is not blocker and can be fixed before pushing into dist-git.

APPROVED
Comment 6 Josef Stribny 2013-08-01 10:59:34 EDT
Will adjust before pushing, thank you for the review.

New Package SCM Request
=======================
Package Name: rubygem-rails-observers
Short Description: Rails observer (removed from core in Rails 4.0)
Owners: jstribny
Branches:
InitialCC:
Comment 7 Jon Ciesla 2013-08-01 12:05:22 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.